<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateLitecmsProfileProfilesTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: litecms_profile_profiles
         */
        Schema::create('litecms_profile_profiles', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->string('email', 100)->nullable();
            $table->enum('sex', [])->nullable();
            $table->date('dob')->nullable();
            $table->string('designation', 50)->nullable();
            $table->text('description')->nullable();
            $table->string('mobile', 100)->nullable();
            $table->string('phone', 100)->nullable();
            $table->string('address', 255)->nullable();
            $table->string('street', 100)->nullable();
            $table->string('city', 100)->nullable();
            $table->string('district', 100)->nullable();
            $table->string('state', 100)->nullable();
            $table->integer('country')->nullable();
            $table->string('photo', 500)->nullable();
            $table->text('cover_img')->nullable();
            $table->string('languages', 255)->nullable();
            $table->text('experience')->nullable();
            $table->text('education')->nullable();
            $table->text('achievement')->nullable();
            $table->text('designations')->nullable();
            $table->text('expertise_area')->nullable();
            $table->text('cities')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('upload_folder', 100)->nullable();
            $table->text('marking', 200)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('litecms_profile_profiles');
    }
}
