<?php

namespace Litecms\Profile\Seeders;

use DB;
use Illuminate\Database\Seeder;

class ProfileTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('litecms_profile_profiles')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'litecms.profile.profile.view',
                'name'      => 'View Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.create',
                'name'      => 'Create Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.edit',
                'name'      => 'Update Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.delete',
                'name'      => 'Delete Profile',
            ],
            
                        [
                'slug'      => 'litecms.profile.profile.verify',
                'name'      => 'Verify Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.approve',
                'name'      => 'Approve Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.publish',
                'name'      => 'Publish Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.unpublish',
                'name'      => 'Unpublish Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.cancel',
                'name'      => 'Cancel Profile',
            ],
            [
                'slug'      => 'litecms.profile.profile.archive',
                'name'      => 'Archive Profile',
            ],
            
                    ]);

        DB::table('menus')->insert([
        
            // Admin menu
            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/profile/profile',
                'name'        => 'Profile',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],
            
            // User menu.
            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/profile/profile',
                'name'        => 'Profile',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            // Public menu.
            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'profile',
                'name'        => 'Profile',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Profile',
                'module'    => 'Profile',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'litecms.profile.profile.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
